com.jscape.inet.gateway.port.web

## Class WebApiClient

- java.lang.Object
- - com.jscape.inet.gateway.port.web.WebApiClient

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class WebApiClient
      extends java.lang.Object
      implements java.lang.AutoCloseable

  The Gateway WEB API client.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WebApiClient.ConnectionException`
    `static class` | `WebApiClient.InvalidCredentialsException`
    `static class` | `WebApiClient.OperationException` Represents an operation error.
    `static class` | `WebApiClient.Protocol`
    `static class` | `WebApiClient.ServerException` Represents a server-side error.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebApiClient(WebApiClient.Protocol protocol, TransportAddress address, Time timeout, javax.net.ssl.SSLSocketFactory sslSocketFactory, javax.net.ssl.HostnameVerifier hostnameVerifier, java.util.logging.Logger logger)` Creates a new client instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdministratorSummary` | `addAdministrator(AdministratorData data)` Adds a new administrator.
    `GatewayAgentSummary` | `addAgent(GatewayAgentData agentData)` Adds a new agent.
    `ClusterSummary` | `addCluster(ClusterData data)`
    `ProxyServiceSummary` | `addProxyService(ProxyServiceData data)`
    `AdministratorData` | `administratorFor(java.lang.String username)` Obtains administrator data.
    `Page<AdministratorSummary>` | `administratorsFor(PageRequest request)` Obtains administrators data page.
    `GatewayAgentData` | `agentFor(java.lang.String username)` Obtains an agent data.
    `AgentServiceConfiguration` | `agentServiceConfiguration()` Obtains an agent service configuration.
    `GatewayAgentSessionSummary[]` | `agentSessions()` Obtains current agent session summaries.
    `Page<GatewayAgentSummary>` | `agentsFor(PageRequest request)` Obtains agent data page.
    `TransportAddress` | `blockClientIpFor(java.lang.String gatewayHost, int gatewayPort, java.lang.String serverHost, int serverPort, java.lang.Long period)`
    `void` | `clearHttpProxyServiceCache(java.lang.String id)`
    `void` | `close()`
    `ClusterData` | `clusterFor(java.lang.String name)`
    `ClusterInfo[]` | `clusters()`
    `Page<ClusterSummary>` | `clustersFor(PageRequest request)`
    `FileService.Entry` | `createCacheDirectory(java.lang.String path, java.lang.String name)`
    `FileService.Entry` | `createLogDirectory(java.lang.String path, java.lang.String name)`
    `DatabaseConfiguration` | `databaseConfiguration()` Obtains a database service configuration.
    `EmailServiceConfiguration` | `emailServiceConfiguration()` Obtains an email service configuration.
    `void` | `finishPasswordChanging(NewPasswordData newPasswordData)` Finishes password changing procedure.
    `ServerKeySummary` | `generateServerCertificate(java.lang.String name, CertificateGenerationData data)` Generates a server key certificate.
    `ServerKeySummary` | `generateServerKey(ServerKeyGenerationData data)` Generates a new server key.
    `void` | `importLicense(java.io.InputStream in)`
    `void` | `importServerCertificate(java.lang.String name, java.lang.String filePassword, java.lang.String aliasInFile, java.io.InputStream in)`
    `void` | `importServerKey(java.lang.String name, java.lang.String filePassword, java.lang.String aliasInFile, java.lang.String keyPassword, java.io.InputStream in)`
    `void` | `initLogServiceRepository(LogServiceConfiguration configuration)`
    `IpAccessConfiguration` | `ipAccessConfiguration()`
    `JmxServiceConfiguration` | `jmxServiceConfiguration()` Obtains a JMX service configuration.
    `LogRecord[]` | `latestLogRecords(int recordsCount)`
    `FileService.Entry` | `listCacheDirectory(java.lang.String path)`
    `FileService.Entry` | `listLogDirectory(java.lang.String path)`
    `void` | `login(PasswordCredentials credentials)` Performs user login.
    `void` | `logout()` Performs user logout.
    `LogServiceConfiguration` | `logServiceConfiguration()`
    `MonitorServiceConfiguration` | `monitorServiceConfiguration()`
    `ProxyServiceData` | `proxyServiceFor(java.lang.String id)`
    `ProxyServiceSummary[]` | `proxyServices()`
    `ProxySessionSummary[]` | `proxySessions()`
    `TransportAddress` | `remoteAddress()`
    `void` | `removeAdministrator(java.lang.String username)` Removes an administrator.
    `void` | `removeAgent(java.lang.String username)` Removes an agent.
    `void` | `removeCluster(java.lang.String name)`
    `void` | `removeProxyService(java.lang.String id)`
    `void` | `removeServerKey(java.lang.String name)` Removes a server key.
    `java.lang.String[]` | `serverAddresses()` Obtains available server IP addresses.
    `java.io.InputStream` | `serverCertificateFor(java.lang.String name, java.lang.String format)`
    `java.io.InputStream` | `serverKeyCsrFor(java.lang.String name)`
    `java.io.InputStream` | `serverKeyFor(java.lang.String name, java.lang.String format, java.lang.String password)`
    `java.lang.String[]` | `serverKeyNames()` Obtains available server key names.
    `Page<ServerKeySummary>` | `serverKeysFor(PageRequest request)` Obtains server key data page.
    `ServerParameters` | `serverParameters()` Obtains server parameters.
    `java.io.InputStream` | `serverPublicKeyFor(java.lang.String name, java.lang.String format)`
    `ServerStatistics` | `serverStatistics()` Obtains server statistics.
    `void` | `startAgentInstaller(java.lang.String username)`
    `void` | `startPasswordChanging(java.lang.String username)` Starts password changing procedure.
    `void` | `startProxyService(java.lang.String id)`
    `void` | `stopProxyService(java.lang.String id)`
    `void` | `test()` Tests the server availability.
    `void` | `testEmailServiceConfiguration(EmailServiceConfiguration configuration, java.lang.String recipient)` Tests an email service configuration.
    `void` | `testLogServiceConfiguration(LogServiceConfiguration configuration)`
    `AdministratorSummary` | `updateAdministrator(AdministratorData data)` Updates an administrator.
    `GatewayAgentSummary` | `updateAgent(GatewayAgentData agentData)` Updates an agent.
    `void` | `updateAgentInstaller(java.lang.String username)`
    `AgentServiceConfiguration` | `updateAgentServiceConfiguration(AgentServiceConfiguration configuration)` Updates an agent service configuration.
    `ClusterSummary` | `updateCluster(ClusterData data)`
    `DatabaseConfiguration` | `updateDatabaseConfiguration(DatabaseConfiguration configuration)` Updates a database service configuration.
    `EmailServiceConfiguration` | `updateEmailServiceConfiguration(EmailServiceConfiguration configuration)` Updates an email service configuration.
    `IpAccessConfiguration` | `updateIpAccessConfiguration(IpAccessConfiguration configuration)`
    `JmxServiceConfiguration` | `updateJmxServiceConfiguration(JmxServiceConfiguration configuration)` Updates a JMX service configuration.
    `LogServiceConfiguration` | `updateLogServiceConfiguration(LogServiceConfiguration configuration)`
    `MonitorServiceConfiguration` | `updateMonitorServiceConfiguration(MonitorServiceConfiguration configuration)`
    `WebServiceConfiguration` | `updateWebServiceConfiguration(WebServiceConfiguration configuration)` Updates a web service configuration.
    `WebServiceConfiguration` | `webServiceConfiguration()` Obtains a web service configuration.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebApiClient

          public WebApiClient(WebApiClient.Protocol protocol,
                              TransportAddress address,
                              Time timeout,
                              javax.net.ssl.SSLSocketFactory sslSocketFactory,
                              javax.net.ssl.HostnameVerifier hostnameVerifier,
                              java.util.logging.Logger logger)

      Creates a new client instance.
      Parameters:
        `protocol` - target protocol: HTTP or HTTPS
        `address` - server address
        `timeout` - server connection timeout
        `sslSocketFactory` - SSL socket factory
        `hostnameVerifier` - SSL hostname verifier
        `logger` - a logger

  - ### Method Detail

    - #### remoteAddress

          public TransportAddress remoteAddress()

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### test

          public void test()
                    throws WebApiClient.OperationException

      Tests the server availability.
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### login

          public void login(PasswordCredentials credentials)
                     throws WebApiClient.OperationException

      Performs user login.
      Parameters:
        `credentials` - authentication credentials
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### logout

          public void logout()
                      throws WebApiClient.OperationException

      Performs user logout.
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### startPasswordChanging

          public void startPasswordChanging(java.lang.String username)
                                     throws WebApiClient.OperationException

      Starts password changing procedure.
      Parameters:
        `username` - target username
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### finishPasswordChanging

          public void finishPasswordChanging(NewPasswordData newPasswordData)
                                      throws WebApiClient.OperationException

      Finishes password changing procedure.
      Parameters:
        `newPasswordData` - new password data
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### serverParameters

          public ServerParameters serverParameters()
                                            throws WebApiClient.OperationException

      Obtains server parameters.
      Returns:
        server parameters
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### serverAddresses

          public java.lang.String[] serverAddresses()
                                             throws WebApiClient.OperationException

      Obtains available server IP addresses.
      Returns:
        server IP addresses
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### serverStatistics

          public ServerStatistics serverStatistics()
                                            throws WebApiClient.OperationException

      Obtains server statistics.
      Returns:
        server statistics
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### importLicense

          public void importLicense(java.io.InputStream in)
                             throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### proxyServices

          public ProxyServiceSummary[] proxyServices()
                                              throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### proxyServiceFor

          public ProxyServiceData proxyServiceFor(java.lang.String id)
                                           throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### addProxyService

          public ProxyServiceSummary addProxyService(ProxyServiceData data)
                                              throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### startProxyService

          public void startProxyService(java.lang.String id)
                                 throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### stopProxyService

          public void stopProxyService(java.lang.String id)
                                throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### removeProxyService

          public void removeProxyService(java.lang.String id)
                                  throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### proxySessions

          public ProxySessionSummary[] proxySessions()
                                              throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### clearHttpProxyServiceCache

          public void clearHttpProxyServiceCache(java.lang.String id)
                                          throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### clusters

          public ClusterInfo[] clusters()
                                 throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### clustersFor

          public Page<ClusterSummary> clustersFor(PageRequest request)
                                           throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### clusterFor

          public ClusterData clusterFor(java.lang.String name)
                                 throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### addCluster

          public ClusterSummary addCluster(ClusterData data)
                                    throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### updateCluster

          public ClusterSummary updateCluster(ClusterData data)
                                       throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### removeCluster

          public void removeCluster(java.lang.String name)
                             throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### ipAccessConfiguration

          public IpAccessConfiguration ipAccessConfiguration()
                                                      throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### updateIpAccessConfiguration

          public IpAccessConfiguration updateIpAccessConfiguration(IpAccessConfiguration configuration)
                                                            throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### blockClientIpFor

          public TransportAddress blockClientIpFor(java.lang.String gatewayHost,
                                                   int gatewayPort,
                                                   java.lang.String serverHost,
                                                   int serverPort,
                                                   java.lang.Long period)
                                            throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### logServiceConfiguration

          public LogServiceConfiguration logServiceConfiguration()
                                                          throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### updateLogServiceConfiguration

          public LogServiceConfiguration updateLogServiceConfiguration(LogServiceConfiguration configuration)
                                                                throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### testLogServiceConfiguration

          public void testLogServiceConfiguration(LogServiceConfiguration configuration)
                                           throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### initLogServiceRepository

          public void initLogServiceRepository(LogServiceConfiguration configuration)
                                        throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### latestLogRecords

          public LogRecord[] latestLogRecords(int recordsCount)
                                       throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### monitorServiceConfiguration

          public MonitorServiceConfiguration monitorServiceConfiguration()
                                                                  throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### updateMonitorServiceConfiguration

          public MonitorServiceConfiguration updateMonitorServiceConfiguration(MonitorServiceConfiguration configuration)
                                                                        throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### administratorsFor

          public Page<AdministratorSummary> administratorsFor(PageRequest request)
                                                       throws WebApiClient.OperationException

      Obtains administrators data page.
      Parameters:
        `request` - data page request
      Returns:
        data page
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### administratorFor

          public AdministratorData administratorFor(java.lang.String username)
                                             throws WebApiClient.OperationException

      Obtains administrator data.
      Parameters:
        `username` - an administrator username
      Returns:
        administrator data
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### addAdministrator

          public AdministratorSummary addAdministrator(AdministratorData data)
                                                throws WebApiClient.OperationException

      Adds a new administrator.
      Parameters:
        `data` - administrator data
      Returns:
        a new administrator summary
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### updateAdministrator

          public AdministratorSummary updateAdministrator(AdministratorData data)
                                                   throws WebApiClient.OperationException

      Updates an administrator.
      Parameters:
        `data` - administrator data
      Returns:
        an administrator summary
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### removeAdministrator

          public void removeAdministrator(java.lang.String username)
                                   throws WebApiClient.OperationException

      Removes an administrator.
      Parameters:
        `username` - an administrator username
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### agentsFor

          public Page<GatewayAgentSummary> agentsFor(PageRequest request)
                                              throws WebApiClient.OperationException

      Obtains agent data page.
      Parameters:
        `request` - data page request
      Returns:
        data page
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### agentFor

          public GatewayAgentData agentFor(java.lang.String username)
                                    throws WebApiClient.OperationException

      Obtains an agent data.
      Parameters:
        `username` - an agent username
      Returns:
        an agent data
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### addAgent

          public GatewayAgentSummary addAgent(GatewayAgentData agentData)
                                       throws WebApiClient.OperationException

      Adds a new agent.
      Parameters:
        `agentData` - agent data
      Returns:
        a new agent summary
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### updateAgent

          public GatewayAgentSummary updateAgent(GatewayAgentData agentData)
                                          throws WebApiClient.OperationException

      Updates an agent.
      Parameters:
        `agentData` - agent data
      Returns:
        an agent summary
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### removeAgent

          public void removeAgent(java.lang.String username)
                           throws WebApiClient.OperationException

      Removes an agent.
      Parameters:
        `username` - an agent username
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### updateAgentInstaller

          public void updateAgentInstaller(java.lang.String username)
                                    throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### startAgentInstaller

          public void startAgentInstaller(java.lang.String username)
                                   throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### serverKeysFor

          public Page<ServerKeySummary> serverKeysFor(PageRequest request)
                                               throws WebApiClient.OperationException

      Obtains server key data page.
      Parameters:
        `request` - data page request
      Returns:
        data page
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### serverKeyNames

          public java.lang.String[] serverKeyNames()
                                            throws WebApiClient.OperationException

      Obtains available server key names.
      Returns:
        server key names
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### generateServerKey

          public ServerKeySummary generateServerKey(ServerKeyGenerationData data)
                                             throws WebApiClient.OperationException

      Generates a new server key.
      Parameters:
        `data` - key generation data
      Returns:
        a new key summary
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### importServerKey

          public void importServerKey(java.lang.String name,
                                      java.lang.String filePassword,
                                      java.lang.String aliasInFile,
                                      java.lang.String keyPassword,
                                      java.io.InputStream in)
                               throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### importServerCertificate

          public void importServerCertificate(java.lang.String name,
                                              java.lang.String filePassword,
                                              java.lang.String aliasInFile,
                                              java.io.InputStream in)
                                       throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### generateServerCertificate

          public ServerKeySummary generateServerCertificate(java.lang.String name,
                                                            CertificateGenerationData data)
                                                     throws WebApiClient.OperationException

      Generates a server key certificate.
      Parameters:
        `name` - a server key name
        `data` - certificate generation data
      Returns:
        a server key summary
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### serverKeyFor

          public java.io.InputStream serverKeyFor(java.lang.String name,
                                                  java.lang.String format,
                                                  java.lang.String password)
                                           throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### serverCertificateFor

          public java.io.InputStream serverCertificateFor(java.lang.String name,
                                                          java.lang.String format)
                                                   throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### serverPublicKeyFor

          public java.io.InputStream serverPublicKeyFor(java.lang.String name,
                                                        java.lang.String format)
                                                 throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### serverKeyCsrFor

          public java.io.InputStream serverKeyCsrFor(java.lang.String name)
                                              throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### removeServerKey

          public void removeServerKey(java.lang.String name)
                               throws WebApiClient.OperationException

      Removes a server key.
      Parameters:
        `name` - a server key name
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### emailServiceConfiguration

          public EmailServiceConfiguration emailServiceConfiguration()
                                                              throws WebApiClient.OperationException

      Obtains an email service configuration.
      Returns:
        an email service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### updateEmailServiceConfiguration

          public EmailServiceConfiguration updateEmailServiceConfiguration(EmailServiceConfiguration configuration)
                                                                    throws WebApiClient.OperationException

      Updates an email service configuration.
      Parameters:
        `configuration` - an email service configuration
      Returns:
        an updated email service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### testEmailServiceConfiguration

          public void testEmailServiceConfiguration(EmailServiceConfiguration configuration,
                                                    java.lang.String recipient)
                                             throws WebApiClient.OperationException

      Tests an email service configuration.
      Parameters:
        `configuration` - an email service configuration
        `recipient` - a test email recipient
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### webServiceConfiguration

          public WebServiceConfiguration webServiceConfiguration()
                                                          throws WebApiClient.OperationException

      Obtains a web service configuration.
      Returns:
        a web service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### updateWebServiceConfiguration

          public WebServiceConfiguration updateWebServiceConfiguration(WebServiceConfiguration configuration)
                                                                throws WebApiClient.OperationException

      Updates a web service configuration.
      Parameters:
        `configuration` - a web service configuration
      Returns:
        an updated web service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### jmxServiceConfiguration

          public JmxServiceConfiguration jmxServiceConfiguration()
                                                          throws WebApiClient.OperationException

      Obtains a JMX service configuration.
      Returns:
        a JMX service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### updateJmxServiceConfiguration

          public JmxServiceConfiguration updateJmxServiceConfiguration(JmxServiceConfiguration configuration)
                                                                throws WebApiClient.OperationException

      Updates a JMX service configuration.
      Parameters:
        `configuration` - a JMX service configuration
      Returns:
        an updated JMX service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### databaseConfiguration

          public DatabaseConfiguration databaseConfiguration()
                                                      throws WebApiClient.OperationException

      Obtains a database service configuration.
      Returns:
        a database service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### updateDatabaseConfiguration

          public DatabaseConfiguration updateDatabaseConfiguration(DatabaseConfiguration configuration)
                                                            throws WebApiClient.OperationException

      Updates a database service configuration.
      Parameters:
        `configuration` - a database service configuration
      Returns:
        an updated database service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### agentServiceConfiguration

          public AgentServiceConfiguration agentServiceConfiguration()
                                                              throws WebApiClient.OperationException

      Obtains an agent service configuration.
      Returns:
        an agent service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### updateAgentServiceConfiguration

          public AgentServiceConfiguration updateAgentServiceConfiguration(AgentServiceConfiguration configuration)
                                                                    throws WebApiClient.OperationException

      Updates an agent service configuration.
      Parameters:
        `configuration` - an agent service configuration
      Returns:
        an updated agent service configuration
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### agentSessions

          public GatewayAgentSessionSummary[] agentSessions()
                                                     throws WebApiClient.OperationException

      Obtains current agent session summaries.
      Returns:
        agent session summaries
      Throws:
        `WebApiClient.OperationException` - if an error occurs

    - #### listLogDirectory

          public FileService.Entry listLogDirectory(java.lang.String path)
                                             throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### createLogDirectory

          public FileService.Entry createLogDirectory(java.lang.String path,
                                                      java.lang.String name)
                                               throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### listCacheDirectory

          public FileService.Entry listCacheDirectory(java.lang.String path)
                                               throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

    - #### createCacheDirectory

          public FileService.Entry createCacheDirectory(java.lang.String path,
                                                        java.lang.String name)
                                                 throws WebApiClient.OperationException

      Throws:
        `WebApiClient.OperationException`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved